.blocklinks {
  opacity: 1;
  $parent: &;

  padding: map-get($mobile, space-lg) 0;

  @include breakpoint($medium) {
    padding: map-get($desktop, space-lg) 0;
  }

  &__container.container {
    max-width: 900px;
  }

  &__main {
    @include breakpoint($medium) {
      > div {
        display: flex;
        flex-direction: column;
      }
    }

    .head {
      //flex-grow: 1;
    }

    #{$parent}__body {
      margin-left: auto;
      flex-grow: 1;

      ul {
        margin-bottom: 0;
      }

      @include breakpoint($medium) {
        > ul {
          margin-top: 10px;
        }
      }
    }
  }

  .head {
    max-width: 550px;
    width: 100%;
    display: block;
    margin: 0 auto;
  }

  .blocklinks__items {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .blocklinks__item {
    padding: $global-padding-mobile;
    background: #fff;

    margin-bottom: 1rem;
    border-radius: 10px;
    display: flex;
    justify-content: space-between;
    position: relative;
    z-index: 10;
    width: 100%;

    @include breakpoint($small) {
      &:last-child {
        margin-bottom: 0;
      }
    }

    @include breakpoint($medium) {
      padding: $global-padding-box-desktop;
    }

    .blocklinks__item__info {
      flex: 100% 1 0;
      color: #3d3d3d;
      display: flex;
      flex-direction: column;
    }

    .blocklinks__item__label {
      margin-bottom: 0.8rem;
      display: none;

      @include breakpoint($medium) {
        display: block;
        margin-bottom: 1rem;
      }
    }

    .blocklinks__item__heading {
      @include font-archer-medium;
      color: $color-heading;
      @include fluid(18, 24);
      margin-bottom: 1rem;

      @include breakpoint($medium) {
        margin-bottom: 1.5rem;
      }
    }

    .blocklinks__item__content {
      line-height: 1.5rem;
      flex-grow: 1;
    }

    &.image {
      .blocklinks__item__icon {
        flex: 20% 0 0;
        display: block;
      }

      .blocklinks__item__info {
        flex: 70% 0 0;
      }
    }

    &.featured {
      flex-wrap: wrap;

      .blocklinks__item__icon {
        flex: 100% 0 0;
        margin: 0 0 2rem;
        img {
          margin: 0 auto;
          display: block;
        }
      }

      .blocklinks__item__info {
        flex: 100% 0 0;
      }

      .blocklinks__item__label {
        display: block;
      }

      &.image {
        .blocklinks__item__icon {
          @include breakpoint($medium) {
            flex: 46.3% 0 0;
            margin-bottom: 0;
            order: 2;
          }
        }
        .blocklinks__item__info {
          @include breakpoint($medium) {
            flex: 50% 0 0;
            order: 1;
          }
        }
      }
    }
  }

  &.blocklinks--inline {
    .container {
      max-width: 1280px;
    }

    .blocklinks__item {
      @include breakpoint($medium) {
        flex: 0 0 auto;
        width: calc((100% - (1rem * 2)) / 3);
      }

      .blocklinks__item__label {
        display: block;
      }
    }
  }

  &.blocklinks--featured {
    .blocklinks__item {
      @include breakpoint($medium) {
        flex: 0 0 auto;
        width: calc(50% - 0.5rem);
      }

      &.featured {
        @include breakpoint($medium) {
          width: 100%;
        }

        .blocklinks__item__label {
          margin-bottom: 1.5rem;
        }
      }
    }
  }
}
